#include <math.h>
#include <iostream.h>
#include <stdio.h>
#include <iomanip.h>

const double ZEROTOL = .000000000001;

double f(double x)  // f(x)
{  return exp(x)+sin(x);  }

double f_(double x) // f'(x)
{  return exp(x)+cos(x);  }

int sgn(double n)
{
  if(n==0) return 0;
  else if(n>0) return 1;
  else return -1;
}

inline bool zero(double n)
{ return (fabs(n) < ZEROTOL); }

void OutputPoint(double n)
{
  cout << "(" << n << ", " << f(n) << ")\n";
  return;
}

void main()
{
  cout << setprecision(8);

  double p, p0;
  int nIter;
  cout << "initial approx=";
  cin  >> p0;
  cout << "Iterations=";
  cin  >> nIter;
  
  for(int i=1;i<=nIter;i++)
  {
    p=p0-f(p0)/f_(p0);
    if(zero(p-p0))
    {
      cout << "\nRoot: ";
      OutputPoint(p);
      return;
    }
    p0=p;
    cout << "Iteration " << i << ": ";
    OutputPoint(p);
  }
}
